
/****************************************************************

			flex.h

*****************************************************************/

#define THOU_TO_STEPS  10.16

#define THERM_COEF  .000008

#define TZERO       68.0


/* constants used in stage distortion calculations */

#define Ya0	 0.0
#define Ya1	 0.048
#define Ya2	-0.0201
#define Ya3	 0.00117


#define Xa0	 0.0
#define Xa1	 0.0273
#define Xa2	-0.00915


#define Xb0	 0.4
#define Xb1	-0.0043
#define Xb2	 0.000032

#define PERIOD	 ( ( 2.0 * M_PI ) / 2032.0 )

#define XZERO	-400.0

/* constants used in flexure calculations */


/* Y gravitational terms */

#define yGa0 	 20.87
#define yGa1 	 -0.0165

#define yGb0 	  0.795
#define yGb1 	  0.0021


/* X gravitational terms */

#define xGa0 	 0.0
#define xGa1 	 0.0

#define xGb0 	 0.0
#define xGb1 	 0.0



/* structures */

struct envData{

   double ra;	
   double dec;
   double temp;	 	/* degrees F */

   double theta;	/* these two are temporary */
   double phi;

};


/* global functions/variables */

extern int warpFlag;
extern int thermFlag;
extern int flexFlag;

extern struct envData  PhysicalEnvironment;

extern void correctWarp();
extern void correctTherm();
extern void correctFlex();
